<div #container class="note-card-container">
  <a [routerLink] = "link" style="text-decoration: none;">
      <div class="note-card-content">
        <h1 class="note-card-title"> {{ title }} </h1>
        <div #bodyText class="note-card-body">
          <p>
            {{ description }}
          </p>
          <div #truncator class="fade-out-truncation"></div>
        </div>
      </div>
  </a>

  <div class="x-button" (click) = "onXButtonClick()"></div>
</div>
